## generic_a15-user 12 SP1A.210812.016 eng.huawei.20240820.085811 dev-keys
- Manufacturer: unknown
- Platform: kirin9000e
- Codename: kirin9000E
- Brand: kirin9000E
- Flavor: user
- Release Version: 12
- Kernel Version: 5.10.43
- Id: SP1A.210812.016
- Incremental: 20240820101051
- Tags: release-keys
- CPU Abilist: arm64-v8a,armeabi-v7a,armeabi
- A/B Device: false
- Treble Device: true
- Locale: en-US
- Screen Density: undefined
- Fingerprint: kirin9000E/kirin9000E/kirin9000E:kirin9000E/SP1A.210812.016/huawei08201009:user/release-keys
- OTA version: 
- Branch: generic_a15-user-12-SP1A.210812.016-eng.huawei.20240820.085811-dev-keys
- Repo: kirin9000e/kirin9000E
